/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 * <p>
 * http://www.foxitsoftware.com
 * <p>
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */
package com.foxit.pdfscan;


import android.view.View;

import java.util.ArrayList;
import java.util.List;

public class UIActionViewBuilder {
    private List<ICloseViewCallback> mCloseCallback;
    private View mActionView;

    public UIActionViewBuilder(View view) {
        mActionView = view;
        mCloseCallback = new ArrayList<>();
    }

    public View getActionView() {
        return mActionView;
    }

    public void close() {
        for (ICloseViewCallback callback : mCloseCallback) {
            callback.onClosed();
        }
    }

    public void addCloseViewCallback(ICloseViewCallback callback) {
        mCloseCallback.add(callback);
    }

    public interface ICloseViewCallback {
        void onClosed();
    }
}
