/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 * <p>
 * http://www.foxitsoftware.com
 * <p>
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */
package com.foxit.uiextensions.controls.toolbar;


public class ToolProperty {
    public int type;
    public int color;
    public int fillColor;
    public int opacity;
    public int style;
    public int rotation;
    public float lineWidth;
    public float fontSize;
    public String fontName;

    public int scaleFromUnitIndex;
    public int scaleToUnitIndex;
    public float scaleFromValue = 1.0f;
    public float scaleToValue = 1.0f;

    public int eraserShape = 1;

    public Object mTag;

    public ToolProperty() {
    }

    public ToolProperty(ToolProperty tp) {
        this.type = tp.type;
        this.color = tp.color;
        this.fillColor = tp.fillColor;
        this.rotation = tp.rotation;
        this.opacity = tp.opacity;
        this.style = tp.style;
        this.lineWidth = tp.lineWidth;
        this.fontSize = tp.fontSize;
        this.fontName = tp.fontName;

        this.scaleFromUnitIndex = tp.scaleFromUnitIndex;
        this.scaleToUnitIndex = tp.scaleToUnitIndex;
        this.scaleFromValue = tp.scaleFromValue;
        this.scaleToValue = tp.scaleToValue;
        this.eraserShape = tp.eraserShape;
        this.mTag = tp.mTag;
    }

}
