/**
 * Copyright (C) 2003-2025, Foxit Software Inc..
 * All Rights Reserved.
 * <p>
 * http://www.foxitsoftware.com
 * <p>
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */
package com.foxit.uiextensions.controls.toolbar;

/**
 *  The item config of toolbar
 */
public class ToolbarItemConfig {
    /** Tool bar item: back item for toolbar*/
    public static int ITEM_TOPBAR_BACK = 109;
    /** Tool bar item: panel item for toolbar*/
    public static int ITEM_TOPBAR_PANEL = 110;

    /** Tool bar item: home item for toolbar*/
    public static int ITEM_HOME_TAB = 111;
    /** Tool bar item: edit item for toolbar*/
    public static int ITEM_EDIT_TAB = 112;
    /** Tool bar item: comment item for toolbar*/
    public static int ITEM_COMMENT_TAB = 113;
    /** Tool bar item: drawing item for toolbar*/
    public static int ITEM_DRAWING_TAB = 114;
    /** Tool bar item: view item for toolbar*/
    public static int ITEM_VIEW_TAB = 115;
    /** Tool bar item: view item for toolbar*/
    public static int ITEM_FORM_TAB = 116;
    /** Tool bar item: sign item for toolbar*/
    public static int ITEM_FILLSIGN_TAB = 117;
    /** Tool bar item: protect item for toolbar only on Pad*/
    public static int ITEM_PROTECT_TAB = 122;
    /** Tool bar item: esign item for toolbar*/
    public static int ITEM_ESIGN_TAB = 123;

    /** Tool bar item: thumbnail item for toolbar*/
    public static int ITEM_TOPBAR_THUMBNAIL = 118;
    /** Tool bar item: reading bookmark item for toolbar*/
    public static int ITEM_TOPBAR_BOOKMARK = 119;
    /** Tool bar item: search item for toolbar*/
    public static int ITEM_TOPBAR_SEARCH = 120;
    /** Tool bar item: more item for toolbar*/
    public static int ITEM_TOPBAR_MORE = 121;

    /** Tool bar item: list item for bottom*/
    public static int ITEM_BOTTOMBAR_LIST = 115;
    /** Tool bar item: view item for bottom*/
    public static int ITEM_BOTTOMBAR_VIEW = 116;
    /** Tool bar item: thumbnail item for bottom*/
    public static int ITEM_BOTTOMBAR_THUMBNAIL = 117;
    /** Tool bar item: reding bookmark item for bottom*/
    public static int ITEM_BOTTOMBAR_BOOKMARK = 118;

    /** Signature draw view top bar left back item*/
    public static int SIGNATURE_VIEW_TOP_LEFT_BACK_ITEM = 100;
    /** Signature draw view top bar center title item*/
    public static int SIGNATURE_VIEW_TOP_CENTER_TITLE_ITEM = 100;
    /** Signature draw view top bar left save item*/
    public static int SIGNATURE_VIEW_TOP_RIGHT_SAVE_ITEM = 100;
}
